library verilog;
use verilog.vl_types.all;
entity ad9283_adc_model is
    generic(
        IDLE            : integer := 0;
        WAIT_FOR_EOC    : integer := 1;
        ASSERT_ADC_CONTROL: integer := 2;
        READ_ADC        : integer := 3;
        ASSERT_USB_RXF  : integer := 4;
        UPDATE_CH_SELECT: integer := 5;
        DATA_BYTE_COMPLETE: integer := 6;
        ADC_EOC_DELAY_COUNT: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1)
    );
    port(
        CLK             : in     vl_logic;
        RST_N           : in     vl_logic;
        ADC_ENCODE      : in     vl_logic;
        ADC_BUS         : out    vl_logic_vector(7 downto 0);
        ADC_CHANNEL     : in     vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_EOC : constant is 1;
    attribute mti_svvh_generic_type of ASSERT_ADC_CONTROL : constant is 1;
    attribute mti_svvh_generic_type of READ_ADC : constant is 1;
    attribute mti_svvh_generic_type of ASSERT_USB_RXF : constant is 1;
    attribute mti_svvh_generic_type of UPDATE_CH_SELECT : constant is 1;
    attribute mti_svvh_generic_type of DATA_BYTE_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of ADC_EOC_DELAY_COUNT : constant is 1;
end ad9283_adc_model;
