library verilog;
use verilog.vl_types.all;
entity pga_117_model is
    generic(
        IDLE            : integer := 0;
        RECEIVE_WORD    : integer := 1;
        STORE_DATA_WORD : integer := 2;
        CHECK_FOR_LAST_WORD: integer := 3;
        READ_WORD_DELAY : integer := 4;
        RECEIVE_WORD_COMPLETE: integer := 5;
        WRITE_OUTGOING_MESSAGE: integer := 6;
        WAIT_FOR_WRITE_CYCLE_COMPLETE: integer := 7;
        WRITE_CYCLE_COMPLETE: integer := 8;
        WAIT_DATA_BYTE_COMPLETE: integer := 9;
        CHECK_DATA_XMIT_COMPLETE: integer := 10;
        PGA_EOC_DELAY_COUNT: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1)
    );
    port(
        CLK             : in     vl_logic;
        RST_N           : in     vl_logic;
        PGA_MOSI        : in     vl_logic;
        PGA_CLK         : in     vl_logic;
        PGA_MISO        : out    vl_logic;
        PGA_CS          : in     vl_logic;
        SELECTED_PGA_CHANNEL: out    vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of RECEIVE_WORD : constant is 1;
    attribute mti_svvh_generic_type of STORE_DATA_WORD : constant is 1;
    attribute mti_svvh_generic_type of CHECK_FOR_LAST_WORD : constant is 1;
    attribute mti_svvh_generic_type of READ_WORD_DELAY : constant is 1;
    attribute mti_svvh_generic_type of RECEIVE_WORD_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of WRITE_OUTGOING_MESSAGE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_FOR_WRITE_CYCLE_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of WRITE_CYCLE_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of WAIT_DATA_BYTE_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of CHECK_DATA_XMIT_COMPLETE : constant is 1;
    attribute mti_svvh_generic_type of PGA_EOC_DELAY_COUNT : constant is 1;
end pga_117_model;
